'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var PropTypes = _interopDefault(require('prop-types'));
var recompose = require('recompose');

var ScrollInto = function ScrollInto(_ref) {
  var children = _ref.children,
      scrollIntoView = _ref.scrollIntoView;
  return React.createElement(
    'div',
    { onClick: scrollIntoView },
    children
  );
};

ScrollInto.propTypes = {
  selector: PropTypes.string.isRequired,
  smooth: PropTypes.bool
};

ScrollInto.defaultProps = {
  smooth: true
};

var index = recompose.compose(recompose.withHandlers({
  scrollIntoView: function scrollIntoView(_ref2) {
    var selector = _ref2.selector,
        _ref2$smooth = _ref2.smooth,
        smooth = _ref2$smooth === undefined ? true : _ref2$smooth;
    return function (e) {
      var behavior = smooth ? 'smooth' : 'instant';
      var el = document.querySelector(selector);
      el.scrollIntoView({ behavior: behavior });
    };
  }
}))(ScrollInto);

module.exports = index;
